
<?php
		header("Access-Control-Allow-Origin: *");
        header("Content-Type:application/json; charset=UTF-8");
        header("Access-Control-Allow-Methods:POST");
        header("Access-Control-Max-Age:3600");
        header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");


		


 
 try{
	$data = json_decode(file_get_contents("php://input"));
	$de= 'Mercado Virtual <ventas@mercadovirtual.mx>';
	
	$html ='<table style="border-collapse: collapse; width: 600px;margin: 0 auto;">
	<thead>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17);">
			<th>
				<a href="https://www.mercadovirtual.mx" style="text-decoration: none;color: white;float: left;margin-left: 10px;">Mercado Virtual.mx</a>
			</th>
		</tr>
		<tr>
			<th style="background: rgb(198,3,17);-webkit-box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);
-moz-box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);
box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);">
				Mercado Virtual
			</th>
		</tr>
		<tr>
			<th style="background: rgb(8,0,1);color: white; margin-top: -2px;width: 100%;">
				<h1 >¡Su cotización esta lista!</h1>
			</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
			<p>Código: C-'.$data->id.'</p>
			</td>
		</tr>
		<tr>
			<td>
				Nombre: '.$data->nombre.'
			</td>
		</tr>
		<tr>
			<td>
				Telefono: '.$data->telefono.'
			</td>
		</tr>
		<tr>
			<td>
				Correo: '.$data->correo.'
			</td>
		</tr>
		<tr>
			<td>
			<p>Proyecto: '.$data->proyecto.'</p>
			</td>
		</tr>
		<tr>
			<td>
			<p>Descripción: '.$data->descripcion.'</p>
			</td>
		</tr>
		<tr>
			<td>
			<p>Total: '.$data->total.'</p>
			</td>
		</tr>
		<tr>
			<td>
			<a href="http://mercadovirtual.mx/#/payments/'.$data->id.'"> Pagar </a>
			</td>
		</tr>
	</tbody>
	<tfoot>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17);">
			<td>
				<a href="#" style="text-decoration: none;color: white;float: left;margin-left: 10px;">Siguenos en Facebook</a>
			</td>
			
		</tr>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17); color: white;">
			<td>
				<p>Dirección</p>
			</td>
		</tr>
	</tfoot>
</table>';
	
	
	$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
	$cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";
 
				
	$cabeceras .= 'From: '.$de . "\r\n";
	
	if(mail($data->correo, "Cotizacion Aprobada ", $html, $cabeceras)){
					echo json_encode(array("Mensaje"=>"Se ha enviado el correo con la cotización al cliente. "));
				}else{
					echo json_encode(array("Error"=>"No se ha podido atender la petición"));	
				}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}
 




?>